none
Minimum requirements for installing share-point 2013 in windows server 2008 R2

    Question

  • what are the:-

     Minimum requirements for installing share-point 2013 in windows server 2008 R2

    Friday, February 01, 2013 2:18 PM

All replies

  • Hi Anuj,

    See below the Technet article explaining hardware and software requirements for SharePoint 2013. Please note you need at least SP1 applied on Windows Server 2008 R2. 

    Hope this helps!

    http://technet.microsoft.com/en-ca/library/cc262485.aspx


    BlueSky2010
    Please help and appreciate others by using forum features: "Propose As Answer", "Vote As Helpful" and "Mark As Answer"

    Friday, February 01, 2013 2:43 PM
  • Hi Anuj,

    See below the Technet article explaining hardware and software requirements for SharePoint 2013. Please note you need at least SP1 applied on Windows Server 2008 R2. 

    Hope this helps!

    http://technet.microsoft.com/en-ca/library/cc262485.aspx


    BlueSky2010
    Please help and appreciate others by using forum features: "Propose As Answer", "Vote As Helpful" and "Mark As Answer"

    Thanks for reply, but

    We are trying to install Sharepoint 2013 on Windows server 2008 R2 with SP1 and also sql server 2008 R2 SP1

    While downloading and installing Prerequisite, It is prompting for Restart

    This has occurred more than 50 times.

    If we run directly the setup-file It is show a link for hardware/software requirement which you gave above.

    so Can you explain the reason/solution.


    Friday, February 01, 2013 3:47 PM
  • Have you tried running the prerequisiteinstaller.exe file that is included in the SharePoint 2013 installation media? Also, if I remember correctly, you need to install .NET FRAMEWORK 3.5 feature in Server Manager.

    Friday, February 01, 2013 5:46 PM
  • Have you installed the hotfixes which are not installed by the prerequisitesinstaller.exe

    The article on Technet http://technet.microsoft.com/en-us/library/cc263202(v=office.15) describes that the hotfixes have to be installed after the prerequisites, but in my case I had to install them before, otherwise prerequisisteinstaller.exe failed. 

    KB 2554876
    KB 2708075
    KB 2759112
    KB 2765317
    KB 2472264

    The last one named "KB2472264 You cannot customize some TCP configurations by using the netsh command in Windows Server 2008 R2" is not mentioned in the technet article but was previously mentioned in the SharePoint 2013 Deployment guide. Now it is missing there too, meaning that it might have been valid only with SP2013 Preview. Not sure about that.

    Hope that helps!

         

    SharePoint Architect, Speaker, MCP, MCPD, MCITP, MCSA, MCTS, Scrum Master/Product Owner
    Blog: www.matthiaseinig.de, Twitter: @mattein
    CodePlex: SharePoint Software Factory, SharePoint Solution Deployer

    • Proposed as answer by xaphod Saturday, February 02, 2013 6:11 PM
    Friday, February 01, 2013 9:41 PM
  • Have you tried running the prerequisiteinstaller.exe file that is included in the SharePoint 2013 installation media? Also, if I remember correctly, you need to install .NET FRAMEWORK 3.5 feature in Server Manager.

    Thanks,

    i think there is problem with iis, because it is showing error with event id 5161 and source WAS.

    for share-point 2013 may be it requires iis-7 and in my system there is iis-6 installed...

    so if this is creating problem so what i need to do????

    Saturday, February 02, 2013 9:39 AM
  • Have you installed the hotfixes which are not installed by the prerequisitesinstaller.exe

    The article on Technet http://technet.microsoft.com/en-us/library/cc263202(v=office.15) describes that the hotfixes have to be installed after the prerequisites, but in my case I had to install them before, otherwise prerequisisteinstaller.exe failed. 

    KB 2554876
    KB 2708075
    KB 2759112
    KB 2765317
    KB 2472264

    The last one named "KB2472264 You cannot customize some TCP configurations by using the netsh command in Windows Server 2008 R2" is not mentioned in the technet article but was previously mentioned in the SharePoint 2013 Deployment guide. Now it is missing there too, meaning that it might have been valid only with SP2013 Preview. Not sure about that.

    Hope that helps!

         

    SharePoint Architect, Speaker, MCP, MCPD, MCITP, MCSA, MCTS, Scrum Master/Product Owner
    Blog: www.matthiaseinig.de, Twitter: @mattein
    CodePlex: SharePoint Software Factory, SharePoint Solution Deployer

    Thanks for reply,

    I think there is problem with IIS, because in web server(IIS)  it is showing error with event id 5161 and source- WAS.

    For SP-2013 may be there will be IIS-7 but in my pc there are IIS-6 installed.

    so if this is creating problem ,

    so what i need to do???


    Saturday, February 02, 2013 9:59 AM
  • Yes you need IIS 7.5.

    To add it open Server Manager and add the role "Web Server (IIS)" like here


    SharePoint Architect, Speaker, MCP, MCPD, MCITP, MCSA, MCTS, Scrum Master/Product Owner
    Blog: www.matthiaseinig.de, Twitter: @mattein
    CodePlex: SharePoint Software Factory, SharePoint Solution Deployer

    Monday, February 04, 2013 3:18 PM
  • Oh, missed the other thing. The error code you provided actually looks like IIS is already installed.

    See also here http://technet.microsoft.com/en-us/library/dd364108(v=ws.10).aspx but actually the mentioned configurations should be done by SP automatically...

    Can you look a bit deeper in to the event log and IIS settings if it even relates to SharePoint or just i.e. the default website or any other website which you also have on IIS?


    SharePoint Architect, Speaker, MCP, MCPD, MCITP, MCSA, MCTS, Scrum Master/Product Owner
    Blog: www.matthiaseinig.de, Twitter: @mattein
    CodePlex: SharePoint Software Factory, SharePoint Solution Deployer

    Monday, February 04, 2013 3:24 PM
  • Yes you need IIS 7.5.

    To add it open Server Manager and add the role "Web Server (IIS)" like here


    SharePoint Architect, Speaker, MCP, MCPD, MCITP, MCSA, MCTS, Scrum Master/Product Owner
    Blog: www.matthiaseinig.de, Twitter: @mattein
    CodePlex: SharePoint Software Factory, SharePoint Solution Deployer

    Yes,

    but it is already added.

    I think i should go with fresh server then SP-2013  

    thanks for all replies.

    Tuesday, February 05, 2013 8:12 AM
  • You are welcome!

    SharePoint Architect, Speaker, MCP, MCPD, MCITP, MCSA, MCTS, Scrum Master/Product Owner
    Blog: www.matthiaseinig.de, Twitter: @mattein
    CodePlex: SharePoint Software Factory, SharePoint Solution Deployer

    Tuesday, February 05, 2013 8:18 AM